# Pull: docker compose -p valkey --env-file ./dbSer/redis/env.cfg -f ./dbSer/redis/valkey.stack.yml pull

# Run:: docker compose -p valkey --env-file ./dbSer/redis/env.cfg -f ./dbSer/redis/valkey.stack.yml up -d
services:
  redis:
    image: ${IMAGE_TAG_VALKEYV8}
    restart: always
    ports:
      - '6379:6379'
    command: valkey-server --appendonly yes --requirepass ${REDIS_PASSWORD}
    volumes:
      - '${Volumes_PATH}/redis:/data'
    environment:
      - REDIS_PASSWORD=${REDIS_PASSWORD}
      - REDIS_PORT=6379
      - REDIS_DB=1
      - REDIS_MAXMEMORY=1gb
      - REDIS_MAXMEMORYPOLICY=allkeys-lru